## systune 0.5.7

=== Makefile ===
# systune-0.5

.PHONY: clean build install

all: build

clean:
	-rm -f build-stamp

build: build-stamp

build-stamp:
	touch build-stamp

install: install-stamp

install-stamp:
	install -m 0755 -d $(ROOT)/usr/sbin/
	install -m 0755 systune $(ROOT)/usr/sbin/
	install -m 0755 systunedump $(ROOT)/usr/sbin/
	install -m 0755 -d $(ROOT)/etc/
	install -m 0644 systune.conf $(ROOT)/etc/
	install -m 0644 systune.dump $(ROOT)/etc/

## systune 0.5.3

=== debian/changelog ===
systune (0.5.3) frozen unstable; urgency=low

  * Some minor changes in debian/packages
  * Removed systune.kernel??.conf examples
  * Files in /etc directory are no longer conffiles and are moved
    to <doc>/examples directory.
  * All options in /etc/systune.conf are commented, systune doesn't
    reconfigure kernel on installation, closes: #47940.
  * make clean works good
  * The version number in main binaries are fixed now.
  * yada 0.8

 -- Piotr Roszatycki <dexter@debian.org>  Thu, 27 Jan 2000 19:20:49 +0100

systune (0.5.2) unstable; urgency=low

  * /usr/doc backward compatibility
  * This is Debian native package, so version number wasn't legal 
    (closes: #44170)

 -- Piotr Roszatycki <dexter@debian.org>  Sun, 26 Sep 1999 11:41:19 +0200

systune (0.5-1) unstable; urgency=low

  * Fixed another bashism: echo -ne ..., thanks to Joel Klecker 
    (closes: #42608)

 -- Piotr Roszatycki <dexter@debian.org>  Mon,  9 Aug 1999 16:55:02 +0200

systune (0.4-1) unstable; urgency=low

  * Standards-Version: 3.0.1.0
  * Included full copyright info

 -- Piotr Roszatycki <dexter@debian.org>  Thu,  5 Aug 1999 23:58:31 +0200

systune (0.3-3) unstable; urgency=low

  * Escaped "update-rc\.d" in yada for lintian
  * Included missed manpages

 -- Piotr Roszatycki <dexter@debian.org>  Tue, 11 May 1999 23:25:26 +0200

systune (0.3-2) unstable; urgency=low

  * Fixed some typos
  * yada technology

 -- Piotr Roszatycki <dexter@debian.org>  Mon,  7 May 1999 01:56:03 +0200

systune (0.3-1) unstable; urgency=low

  * Included some examples
  * Changed architecture (Any -> All)
  * Changed description in control file
  * Fixed init script
  * Fixed dh_installinit
  * Many fixes done by Oliver Elphick <Oliver.Elphick@lfix.co.uk>
  * Included more detailed information about copyright
  * Rewritten manual pages
  * Fixed systunedump and systune (a few misspelings)

 -- Piotr Roszatycki <dexter@debian.org>  Mon, 26 Apr 1999 22:22:38 +0200

systune (0.2-1) unstable; urgency=low

  * Included man pages
  * Rebuilt systune and systunedump script
  * debhelper technology
  * New standard: 2.5.0.0
  * New maintainer

 -- Piotr Roszatycki <dexter@debian.org>  Sat, 17 Apr 1999 08:05:36 +0200

systune (0.1-1) unstable; urgency=low

  * Initial Release.

 -- Daniel Podlejski <underley@zakopane.top.pl>  Tue,  8 Dec 1998 12:00:18 +0100

=== debian/control ===
Source: systune
Maintainer: Piotr Roszatycki <dexter@debian.org>
Section: admin
Priority: optional
Standards-Version: 3.0.1

Package: systune
Architecture: all
Description: Kernel tuning through the /proc filesystem.
 This program writes kernel parameters, previously saved in a configuration
 file, to the /proc filesystem.  This enables kernel performance to be
 adjusted without recompiling the kernel.

=== debian/rules ===
#! /usr/bin/make -f
# Generated automatically from debian/packages
# by yada v0.8, of Sat, 30 Oct 1999

.PHONY: default
default:
	@echo "Specify a target:"; \
	echo " build              compile the package"; \
	echo " binary             make all binary packages"; \
	echo " binary-arch        make all architecture-dependent binary packages"; \
	echo " binary-indep       make all architecture-independent binary packages"; \
	echo " clean              clean up the source package"; \
	echo; \
	echo " patch              apply patches from debian/*.dpatch"; \
	echo " unpatch            unapply patches from debian/*.dpatch{,disabled}"; \
	echo " install-tree       compile the package and create the install trees"; \
	echo " clean-install-tree clean up only under debian/"; \
	echo

.PHONY: patch unpatch
# Apply patches matching `debian/*.dpatch' to the source tree,
# and unapply any applied patches `debian/*.dpatch.disabled'
patch: debian/patch-stamp
debian/patch-stamp:
	@set -e; backupdirs=$$(ls -d debian/backup-* 2>/dev/null | wc -l); \
	if test $$backupdirs -gt 1; then \
	  echo "*** Yada error: There are multiple debian/backup-* directories."; \
	  echo "***             I can't cope.  Please clean up for me."; \
	  exit 1; \
	fi; \
	if test $$backupdirs = 1; then \
	  patchname="$$(echo debian/backup-* | sed 's=^debian/backup-==')"; \
	  echo "*** Cleaning up after interrupted patching run for $$patchname"; \
	  if test -f "debian/patch-$$patchname-applied"; then \
	    rm -rf "debian/backup-$$patchname"; \
	  else \
	    (cd "debian/backup-$$patchname"; find . -type f -print0) | xargs -0ri mv -f -- debian/backup-$$patchname/{} {}; \
	    find "debian/backup-$$patchname" -depth -type d -exec rmdir '{}' \;; \
	    if test -e "debian/backup-$$patchname"; then \
	      echo "*** Yada error: I could not recover cleanly from an interrupted patch."; \
	      echo "***             I can't cope.  Please clean up for me."; \
	      exit 1; \
	    fi; \
	  fi; \
	fi

	@set -e; backdowndirs=$$(ls -d debian/backdown-* 2>/dev/null | wc -l); \
	if test $$backdowndirs -gt 1; then \
	  echo "*** Yada error: There are multiple debian/backdown-* directories."; \
	  echo "***             I can't cope.  Please clean up for me."; \
	  exit 1; \
	fi; \
	if test $$backdowndirs = 1; then \
	  patchname="$$(echo debian/backdown-* | sed 's=^debian/backdown-==')"; \
	  echo "*** Cleaning up after interrupted unpatching run for $$patchname"; \
	  if test ! -f "debian/patch-$$patchname-applied"; then \
	    rm -rf "debian/backdown-$$patchname"; \
	  else \
	    (cd "debian/backdown-$$patchname"; find . -type f -print0) | xargs -0ri mv -f -- debian/backdown-$$patchname/{} {}; \
	    find "debian/backdown-$$patchname" -depth -type d -exec rmdir '{}' \;; \
	    if test -e "debian/backdown-$$patchname"; then \
	      echo "*** Yada error: I could not recover cleanly from an interrupted patch."; \
	      echo "***             I can't cope.  Please clean up for me."; \
	      exit 1; \
	    fi; \
	  fi; \
	fi

	@set -e; for stampfile in debian/patch-*-applied; do \
	  if test -f "$$stampfile"; then \
	    patchname="$$(echo "$$stampfile" | sed 's=^debian/patch-\(.*\)-applied$$=\1=')"; \
	    patchfile="debian/$$patchname.disabled"; \
	    if test -f "$$patchfile"; then \
	      echo "*** $$patchfile is now disabled; patching it out"; \
	      patchoptions="$$(sed -n '/^#PATCHOPTIONS:/{;s/^[^:]*://;p;q;}' <"$$patchfile")"; \
	      patch -R -f -i "$$patchfile" -b -V simple -B "debian/backdown-$$patchname/" $$patchoptions; \
	      rm -f "$$stampfile"; \
	      rm -rf "debian/backdown-$$patchname"; \
	    fi; \
	  fi; \
	done

	@set -e; for patchfile in debian/*.dpatch; do \
	  if test -f "$$patchfile"; then \
	    patchname="$$(echo "$$patchfile" | sed 's=^debian/==')"; \
	    stampfile="debian/patch-$$patchname-applied"; \
	    if test ! -f "$$stampfile"; then \
	      echo "*** Applying patch from $$patchname"; \
	      patchoptions="$$(sed -n '/^#PATCHOPTIONS:/{;s/^[^:]*://;p;q;}' <"$$patchfile")"; \
	      patch -N -f -i "$$patchfile" -b -V simple -B "debian/backup-$$patchname/" $$patchoptions; \
	      touch "$$stampfile"; \
	      rm -rf "debian/backup-$$patchname"; \
	    fi; \
	  fi; \
	done

	touch debian/patch-stamp

# Remove all managed patches from the source tree
unpatch:
	@set -e; backupdirs=$$(ls -d debian/backup-* 2>/dev/null | wc -l); \
	if test $$backupdirs -gt 1; then \
	  echo "*** Yada error: There are multiple debian/backup-* directories."; \
	  echo "***             I can't cope.  Please clean up for me."; \
	  exit 1; \
	fi; \
	if test $$backupdirs = 1; then \
	  patchname="$$(echo debian/backup-* | sed 's=^debian/backup-==')"; \
	  echo "*** Cleaning up after interrupted patching run for $$patchname"; \
	  if test -f "debian/patch-$$patchname-applied"; then \
	    rm -rf "debian/backup-$$patchname"; \
	  else \
	    (cd "debian/backup-$$patchname"; find . -type f -print0) | xargs -0ri mv -f -- debian/backup-$$patchname/{} {}; \
	    find "debian/backup-$$patchname" -depth -type d -exec rmdir '{}' \;; \
	    if test -e "debian/backup-$$patchname"; then \
	      echo "*** Yada error: I could not recover cleanly from an interrupted patch."; \
	      echo "***             I can't cope.  Please clean up for me."; \
	      exit 1; \
	    fi; \
	  fi; \
	fi

	@set -e; backdowndirs=$$(ls -d debian/backdown-* 2>/dev/null | wc -l); \
	if test $$backdowndirs -gt 1; then \
	  echo "*** Yada error: There are multiple debian/backdown-* directories."; \
	  echo "***             I can't cope.  Please clean up for me."; \
	  exit 1; \
	fi; \
	if test $$backdowndirs = 1; then \
	  patchname="$$(echo debian/backdown-* | sed 's=^debian/backdown-==')"; \
	  echo "*** Cleaning up after interrupted unpatching run for $$patchname"; \
	  if test ! -f "debian/patch-$$patchname-applied"; then \
	    rm -rf "debian/backdown-$$patchname"; \
	  else \
	    (cd "debian/backdown-$$patchname"; find . -type f -print0) | xargs -0ri mv -f -- debian/backdown-$$patchname/{} {}; \
	    find "debian/backdown-$$patchname" -depth -type d -exec rmdir '{}' \;; \
	    if test -e "debian/backdown-$$patchname"; then \
	      echo "*** Yada error: I could not recover cleanly from an interrupted patch."; \
	      echo "***             I can't cope.  Please clean up for me."; \
	      exit 1; \
	    fi; \
	  fi; \
	fi

	@set -e; for stampfile in debian/patch-*-applied; do \
	  if test -f "$$stampfile"; then \
	    patchname="$$(echo "$$stampfile" | sed 's=^debian/patch-\(.*\)-applied$$=\1=')"; \
	    patchfile="debian/$$patchname"; \
	    if test ! -f "$$patchfile"; then \
	      patchfile="$$patchfile.disabled"; \
	    fi; \
	    if test -f "$$patchfile"; then \
	      echo "*** Removing patch from $$patchname"; \
	      patchoptions="$$(sed -n '/^#PATCHOPTIONS:/{;s/^[^:]*://;p;q;}' <"$$patchfile")"; \
	      patch -R -f -i "$$patchfile" -b -V simple -B "debian/backdown-$$patchname/" $$patchoptions; \
	      rm -f "$$stampfile"; \
	      rm -rf "debian/backdown-$$patchname"; \
	    else \
	      echo "*** Yada warning: Cannot find a patchfile named \`$$patchname' to unapply"; \
	    fi; \
	  fi; \
	done

	rm -f debian/patch-stamp

# Build the package and prepare the install tree

.PHONY: build-only build
build-only: debian/build-stamp
build: build-only

# Make sure these rules and the control file are up-to-date

.PHONY: rules control
rules: debian/rules
debian/rules: debian/yada debian/packages
	chmod +x debian/yada
	debian/yada rebuild rules

control: debian/control
debian/control: debian/yada debian/packages
	chmod +x debian/yada
	debian/yada rebuild control

debian/build-stamp: debian/patch-stamp
	@[ -f debian/yada -a -f debian/rules ]
	@umask 022 && (\
	echo -E 'eval "yada () { perl $$(pwd)/debian/yada \"\$$@\"; }"; set -e; set -v';\
	echo -E 'make') | /bin/sh
	touch debian/build-stamp

.PHONY: install-tree
install-tree: install-tree-any
install-tree-any: \
	debian/tmp-systune/DEBIAN/control

## systune 0.5.4

=== debian/changelog ===
systune (0.5.4) frozen unstable; urgency=low

  * Clean up the source package
  * More examples in default systune.conf
  * More clear package description, closes: #133979

 -- Piotr Roszatycki <dexter@debian.org>  Thu, 11 Apr 2002 12:55:56 +0200

=== debian/control ===
Source: systune
Maintainer: Piotr Roszatycki <dexter@debian.org>
Section: admin
Priority: optional
Standards-Version: 3.5.6
Build-Depends-Indep: grep-dctrl, yada (>= 0.9.9)

Package: systune
Architecture: all
Description: Kernel tuning through the /proc filesystem.
 This program writes kernel parameters, previously saved in a configuration
 file, to the /proc filesystem.  This enables kernel performance to be
 adjusted without recompiling the kernel.
 .
 systune can be alternative to sysctl(8). It is also started after the most
 daemons and other init.d scripts, so it can be used as "second stage" sysctl.

=== debian/rules ===
#! /usr/bin/make -f
# Generated automatically from debian/packages
# by yada v0.9.9, of Tue, 07 Dec 1999
# Modified by Piotr Roszatycki <dexter@debian.org>, Mon,  1 Oct 2001 13:14:11 +0200

DEB_HOST_GNU_CPU    := $(shell dpkg-architecture -qDEB_HOST_GNU_CPU)
DEB_HOST_GNU_TYPE   := $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_HOST_GNU_SYSTEM := $(shell dpkg-architecture -qDEB_HOST_GNU_SYSTEM)

DEB_BUILD_GNU_CPU    := $(shell dpkg-architecture -qDEB_BUILD_GNU_CPU)
DEB_BUILD_GNU_TYPE   := $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_BUILD_GNU_SYSTEM := $(shell dpkg-architecture -qDEB_BUILD_GNU_SYSTEM)

VERSION:=$(shell LC_ALL=C dpkg-parsechangelog | sed -ne 's/^Version: *\([^2]*\)/\1/p')

SHELL=/bin/bash

.PHONY: default
default:
	@echo "Specify a target:"; \
	echo " build              compile the package"; \
	echo " binary             make all binary packages"; \
	echo " binary-arch        make all architecture-dependent binary packages"; \
	echo " binary-indep       make all architecture-independent binary packages"; \
	echo " clean              clean up the source package"; \
	echo; \
	echo " depends            check build-time dependencies"; \
	echo " install-tree       compile the package and create the install trees"; \
	echo " clean-install-tree clean up only under debian/"; \
	echo

# Check build dependencies and conflicts

.PHONY: depends
depends: chmod-yada debian/depends-stamp
debian/depends-stamp:
	@echo 'Checking build conflicts and dependencies; just a minute...'
	@echo -n 'grep-dctrl...'; v=$$(grep-status -X -F Package 'grep-dctrl' | grep Version | head -1 | sed -e 's/^Version: //'); \
	if test ! "$$v"; then echo -n 'grep-dctrl (virtual package)...'; v=$$(grep-status -e -F Provides '(^grep-dctrl, |, grep-dctrl$$|^grep-dctrl$$)' | grep Version | head -1 | sed -e 's/^Version: //'); fi; \
	if test "$$v"; then \
	    exit 0; \
	fi; \
	echo 'Build depends on `grep-dctrl'\'' (any version), which is not satisfied' | fmt; exit 1
	@echo -n 'yada...'; v=$$(grep-status -X -F Package 'yada' | grep Version | head -1 | sed -e 's/^Version: //'); \
	if test ! "$$v"; then echo -n 'yada (virtual package)...'; v=$$(grep-status -e -F Provides '(^yada, |, yada$$|^yada$$)' | grep Version | head -1 | sed -e 's/^Version: //'); fi; \
	if test "$$v"; then \
	  if dpkg --compare-versions "$$v" '>=' '0.9.9'; then \
	    exit 0; \
	  fi; \
	fi; \
	echo 'Build depends on `yada'\'' (version >= 0.9.9), which is not satisfied' | fmt; exit 1
	@echo
	@echo 'Conflicts and dependencies all satisfied!'
	touch debian/depends-stamp

# Build the package and prepare the install tree

.PHONY: build-only build
build-only: debian/build-stamp
build: chmod-yada build-only

# Make sure these rules and the control file are up-to-date

.PHONY: rules control
rules: debian/rules
debian/rules: $(shell which yada) debian/packages
	$(shell which yada) rebuild rules

control: debian/control
debian/control: $(shell which yada) debian/packages
	$(shell which yada) rebuild control

debian/build-stamp: debian/depends-stamp
	@[ -f $(shell which yada) -a -f debian/rules ]
	@umask 022 \
	    && export PACKAGE="systune" \
	    && export VERSION="$(VERSION)" \
	    && export DEB_HOST_GNU_CPU="$(DEB_HOST_GNU_CPU)" \
	    && export DEB_HOST_GNU_TYPE="$(DEB_HOST_GNU_TYPE)" \
	    && export DEB_HOST_GNU_SYSTEM="$(DEB_HOST_GNU_SYSTEM)" \
	    && export DEB_BUILD_GNU_CPU="$(DEB_BUILD_GNU_CPU)" \
	    && export DEB_BUILD_GNU_TYPE="$(DEB_BUILD_GNU_TYPE)" \
	    && export DEB_BUILD_GNU_SYSTEM="$(DEB_BUILD_GNU_SYSTEM)" \
 && (\
	echo -E 'eval "yada () { perl $$(which yada) \"\$$@\"; }"; set -e; set -v';\
	echo -E 'make') | /bin/sh
	touch debian/build-stamp

.PHONY: install-tree
install-tree: chmod-yada install-tree-any
install-tree-any: \
	debian/tmp-systune/DEBIAN/control

debian/tmp-systune/DEBIAN/control: debian/build-stamp debian/control
	rm -rf debian/tmp-systune
	umask 022 && install -d debian/tmp-systune/DEBIAN
	install -d debian/tmp-systune/usr/share/doc/systune
	umask 022; $(shell which yada) generate copyright \
	                       >debian/tmp-systune/usr/share/doc/systune/copyright
	install -m 644 -p debian/changelog \
	                  debian/tmp-systune/usr/share/doc/systune/changelog
	@umask 022 \
	    && export PACKAGE="systune" \
	    && export ROOT="$$(pwd)/debian/tmp-systune" \
	    && export CONTROL="$$(pwd)/debian/tmp-systune/DEBIAN" \
	    && export VERSION="$(VERSION)" \
	    && export DEB_HOST_GNU_CPU="$(DEB_HOST_GNU_CPU)" \
	    && export DEB_HOST_GNU_TYPE="$(DEB_HOST_GNU_TYPE)" \
	    && export DEB_HOST_GNU_SYSTEM="$(DEB_HOST_GNU_SYSTEM)" \
	    && export DEB_BUILD_GNU_CPU="$(DEB_BUILD_GNU_CPU)" \
	    && export DEB_BUILD_GNU_TYPE="$(DEB_BUILD_GNU_TYPE)" \
	    && export DEB_BUILD_GNU_SYSTEM="$(DEB_BUILD_GNU_SYSTEM)" \
 && (\
	echo -E 'eval "yada () { perl $$(which yada) \"\$$@\"; }"; set -e; set -v';\
	echo -E 'yada install -script -into /usr/sbin systune';\
	echo -E 'yada install -script -into /usr/sbin systunedump';\
	echo -E 'yada install -doc -subdir examples systune.conf';\
	echo -E 'yada install -doc -subdir examples systune.dump';\
	echo -E 'yada install -man systune.8';\
	echo -E 'yada install -man systunedump.8';\
	echo -E 'ln -s changelog.gz $$ROOT/usr/share/doc/$$PACKAGE/changelog.Debian.gz') | /bin/sh
	$(shell which yada) compress systune
	$(shell which yada) generate maintscripts systune
	find debian/tmp-systune -type f -print \
	  | sed -n 's/^debian\/tmp-systune\(\/etc\/.*\)$$/\1/p' \
	    > debian/tmp-systune/DEBIAN/conffiles
	if test ! -s debian/tmp-systune/DEBIAN/conffiles; then rm -f debian/tmp-systune/DEBIAN/conffiles; fi
	$(shell which yada) rebuild control
	$(shell which yada) generate substvars systune
	umask 022 && dpkg-gencontrol -isp -psystune -Pdebian/tmp-systune

# Build package files

.PHONY: binary binary-arch binary-indep
binary: binary-arch binary-indep
binary-arch: chmod-yada binary-arch-any

.PHONY: binary-arch-any
binary-arch-any:
binary-indep: chmod-yada \
	binary-package-systune

.PHONY: binary-package-systune
binary-package-systune: check-root debian/tmp-systune/DEBIAN/control
	@[ -f $(shell which yada) -a -f debian/rules ]
	chown -R 0.0 debian/tmp-systune
	chmod -R u=rwX,go=rX debian/tmp-systune
	@umask 022 && export PACKAGE="systune" \
	    && export ROOT="$$(pwd)/debian/tmp-systune" \
	    && export CONTROL="$$(pwd)/debian/tmp-systune/DEBIAN" && (\
	echo -E 'eval "yada () { perl $$(which yada) \"\$$@\"; }"; set -e; set -v';\
	echo -E 'cat $$CONTROL/postinst \';\
	echo -E '    | awk '\''{ if( $$1 == "#systune.conf#" ) system("cat systune.conf"); else print }'\'' \';\
	echo -E '    | awk '\''{ if( $$1 == "#systune.dump#" ) system("cat systune.dump"); else print }'\'' \';\
	echo -E '    > $$CONTROL/postinst.tmp';\
	echo -E 'mv -f $$CONTROL/postinst.tmp $$CONTROL/postinst';\
	echo -E 'chmod 755 $$CONTROL/postinst') | /bin/sh
	@if [ -d debian/tmp-systune/usr/doc/systune ]; then \
	  echo "*** Yada warning: /usr/doc/systune should be /usr/share/doc/systune";\
	fi
	dpkg-deb --build debian/tmp-systune ..

.PHONY: check-root
check-root:
	@[ `id -u` = 0 ] || (echo "You must be root to do this!"; false)

.PHONY: chmod-yada
chmod-yada:
	@if [ -f debian/yada -a ! -x debian/yada ]; then \
	  chmod +x debian/yada; \
	fi

# Clean up afterwards

.PHONY: clean clean-install-tree clean-build
clean: chmod-yada clean-install-tree clean-build debian/control debian/rules

clean-build:
	@[ -f $(shell which yada) -a -f debian/rules ]
	rm -f debian/build-stamp debian/depends-stamp
	@umask 022 && (\
	echo -E 'eval "yada () { perl $$(which yada) \"\$$@\"; }"; set -e; set -v';\
	echo -E 'make clean || true') | /bin/sh

clean-install-tree: chmod-yada debian/rules
	@[ -f $(shell which yada) -a -f debian/rules ]
	rm -f debian/install-tree-stamp
	rm -rf debian/tmp* debian/files* debian/substvars

## systune 0.5.6

=== debian/changelog ===
systune (0.5.6) unstable; urgency=medium

  * Start the systune script in init script. Closes: #328683.

 -- Piotr Roszatycki <dexter@debian.org>  Fri, 23 Sep 2005 16:11:30 +0200

systune (0.5.5) unstable; urgency=low

  * Rebuilt with the latest yada. Doesn't install /usr/doc symlink.
  * New yada uses invoke-rc.d. Closes: #200635.
  * Fixed typo in package description.
  * Changed init script message. Closes: #164155.

 -- Piotr Roszatycki <dexter@debian.org>  Wed, 31 Aug 2005 13:22:32 +0200

## systune 0.5.7

=== debian/changelog ===
systune (0.5.7) unstable; urgency=low

  * QA upload.
  * debian/control: Set maintainer to Debian QA Group.
  * Replace yada with debhelper. (Closes: #636894)
  * debian/copyright: Add copyright file from previous generated package.

 -- Tim Retout <diocles@debian.org>  Sat, 13 Aug 2011 22:46:34 +0100

systune (0.5.6-0.1) unstable; urgency=low

  * Non-maintainer upload to solve release goal.
  * Add LSB dependency header to init.d scripts (Closes: #466651).

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 29 Mar 2008 17:05:46 +0100

=== debian/control ===
Source: systune
Maintainer: Debian QA Group <packages@qa.debian.org>
Section: admin
Priority: optional
Standards-Version: 3.9.2
Build-Depends: debhelper (>= 8)

Package: systune
Architecture: all
Depends: ${misc:Depends}
Description: kernel tuning through the /proc file system
 This program writes kernel parameters, previously saved in a configuration
 file, to the /proc filesystem.  This enables kernel performance to be
 adjusted without recompiling the kernel.
 .
 systune can be alternative to sysctl(8). It is also started after the most
 daemons and other init.d scripts, so it can be used as "second stage" sysctl.

## systune 0.5.8

=== debian/changelog ===
systune (0.5.8) unstable; urgency=low

  * use DESTDIR in Makefile accordig to GNU coding standard
  * New maintainer (Closes: #636734)
  * Update compat level to 9

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Fri, 25 Oct 2019 14:02:56 +0100

## systune 0.5.9

=== debian/changelog ===
systune (0.5.9) unstable; urgency=low

  * Update Standards-Version
  * Update compat level to 12
  * Update maintainer in debian/control
  * Update copyright file
  * Added link to github as Vcs-Git
  * Source format added
  * Fix lintian issue of init.d-script-does-not-source-init-functions
  * Fix lintian issue of skip-systemd-native-flag-missing-pre-depends
  * Fix lintian issue of lsb-base

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Fri, 01 Nov 2019 19:31:32 +0000

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,17 @@
 Source: systune
-Maintainer: Debian QA Group <packages@qa.debian.org>
+Maintainer: Sudip Mukherjee <sudipm.mukherjee@gmail.com>
 Section: admin
 Priority: optional
-Standards-Version: 3.9.2
-Build-Depends: debhelper (>= 8)
+Standards-Version: 4.4.1
+Rules-Requires-Root: no
+Build-Depends: debhelper-compat (= 12)
+Vcs-Git: https://github.com/sudipm-mukherjee/systune.git
+Vcs-Browser: https://github.com/sudipm-mukherjee/systune.git
 
 Package: systune
 Architecture: all
-Depends: ${misc:Depends}
+Pre-Depends: ${misc:Pre-Depends}
+Depends: ${misc:Depends}, lsb-base
 Description: kernel tuning through the /proc file system
  This program writes kernel parameters, previously saved in a configuration
  file, to the /proc filesystem.  This enables kernel performance to be

## systune 0.5.10

=== debian/changelog ===
systune (0.5.10) unstable; urgency=low

  * Add error message to systunedump and option to dump all (Closes: #672283)

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Sun, 24 Nov 2019 17:58:39 +0000

## systune 0.5.11

=== debian/changelog ===
systune (0.5.11) unstable; urgency=medium

  * Add systune service file.
  * Update Standards-Version to 4.5.0

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Mon, 10 Feb 2020 22:08:17 +0000

## systune 0.5.12

=== debian/changelog ===
systune (0.5.12) unstable; urgency=medium

  * No change, rebuild for source only upload.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Sun, 23 Feb 2020 18:02:49 +0000

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Maintainer: Sudip Mukherjee <sudipm.mukherjee@gmail.com>
 Section: admin
 Priority: optional
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 12)
 Vcs-Git: https://github.com/sudipm-mukherjee/systune.git

## systune 0.5.13

=== debian/changelog ===
systune (0.5.13) unstable; urgency=medium

  [ Debian Janitor ]
  * Fix day-of-week for changelog entry 0.3-2.

  [ Sudip Mukherjee ]
  * Update compat level to 13.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Wed, 20 May 2020 23:28:00 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Priority: optional
 Standards-Version: 4.5.0
 Rules-Requires-Root: no
-Build-Depends: debhelper-compat (= 12)
+Build-Depends: debhelper-compat (= 13)
 Vcs-Git: https://github.com/sudipm-mukherjee/systune.git
 Vcs-Browser: https://github.com/sudipm-mukherjee/systune.git

## systune 0.5.13+nmu1

=== Makefile ===
# systune-0.5

.PHONY: clean build install

all: build

clean:
	-rm -f build-stamp

build: build-stamp

build-stamp:
	touch build-stamp

install: install-stamp

install-stamp:
	install -m 0755 -d $(DESTDIR)/usr/sbin/
	install -m 0755 systune $(DESTDIR)/usr/sbin/
	install -m 0755 systunedump $(DESTDIR)/usr/sbin/
	install -m 0755 -d $(DESTDIR)/etc/
	install -m 0644 systune.conf $(DESTDIR)/etc/
	install -m 0644 systune.dump $(DESTDIR)/etc/

=== debian/changelog ===
systune (0.5.13+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * No source change upload to rebuild with debhelper 13.10.

 -- Michael Biebl <biebl@debian.org>  Sat, 15 Oct 2022 12:50:39 +0200

## systune 0.5.13+nmu2

=== debian/changelog ===
systune (0.5.13+nmu2) unstable; urgency=medium

  * Non-maintainer upload.
  * No source change upload to move systemd units into /usr.

 -- Chris Hofstaedtler <zeha@debian.org>  Mon, 27 May 2024 01:14:38 +0200

## systune 0.5.13+nmu2build1

=== debian/changelog ===
systune (0.5.13+nmu2build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Sebastien Bacher <seb128@debian.org>  Thu, 29 Jan 2026 22:14:46 +0100
